Debian Bug report logs - #677165
openblas: FTBFS[kfreebsd]: gemm.c:401:16: error: 'GEMM_MULTITHREAD_THRESHOLD' undeclared (first use in this function)

version graph

Package: src:openblas; Maintainer for src:openblas is Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>;

Reported by: debian-bsd@lists.debian.org

Date: Mon, 11 Jun 2012 23:54:01 UTC

Severity: serious

Tags: patch, sid, wheezy

Found in version openblas/0.1.1-3

Fixed in version openblas/0.1.1-4

Done: Sylvestre Ledru <sylvestre@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-bsd@lists.debian.org, Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>:
Bug#677165; Package src:openblas. (Mon, 11 Jun 2012 23:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to debian-bsd@lists.debian.org:
New Bug report received and forwarded. Copy sent to debian-bsd@lists.debian.org, Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>. (Mon, 11 Jun 2012 23:54:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: submit@bugs.debian.org
Subject: openblas: FTBFS[kfreebsd]: gemm.c:401:16: error: 'GEMM_MULTITHREAD_THRESHOLD' undeclared (first use in this function)
Date: Tue, 12 Jun 2012 01:50:30 +0200
Package: src:openblas
Version: 0.1.1-3
Severity: serious
Tags: sid wheezy
User: debian-bsd@lists.debian.org
Usertags: kfreebsd
X-Debbugs-Cc: debian-bsd@lists.debian.org
Justification: fails to build from source (but built successfully in the past)

Hi!

Your package failed to build on the kfreebsd-* buildds:

gcc -c -O2 -DEXPRECISION -m128bit-long-double -Wall -m64 -DF_INTERFACE_GFORT -fPIC  -DDYNAMIC_ARCH -DNO_LAPACK -DNO_LAPACKE -DSMP_SERVER -DMAX_CPU_NUMBER=2 -DASMNAME=sgemm -DASMFNAME=sgemm_ -DNAME=sgemm_ -DCNAME=sgemm -DCHAR_NAME=\"sgemm_\" -DCHAR_CNAME=\"sgemm\" -DNO_AFFINITY -I.. -I. -UDOUBLE  -UCOMPLEX gemm.c -o sgemm.o
gemm.c: In function 'sgemm_':
gemm.c:401:16: error: 'GEMM_MULTITHREAD_THRESHOLD' undeclared (first use in this function)
gemm.c:401:16: note: each undeclared identifier is reported only once for each function it appears in
make[2]: *** [sgemm.o] Error 1

Full build log at
https://buildd.debian.org/status/logs.php?pkg=openblas&ver=0.1.1-3&arch=kfreebsd-amd64

Regards

    Christoph

If you have further questions please mail debian-bsd@lists.debian.org

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>:
Bug#677165; Package src:openblas. (Tue, 12 Jun 2012 19:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sébastien Villemot <sebastien.villemot@ens.fr>:
Extra info received and forwarded to list. Copy sent to Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>. (Tue, 12 Jun 2012 19:57:02 GMT) Full text and rfc822 format available.

Message #10 received at 677165@bugs.debian.org (full text, mbox):

From: Sébastien Villemot <sebastien.villemot@ens.fr>
To: debian-bsd@lists.debian.org
Cc: 677165@bugs.debian.org
Subject: Re: Bug#677165: openblas: FTBFS[kfreebsd]: gemm.c:401:16: error: 'GEMM_MULTITHREAD_THRESHOLD' undeclared (first use in this function)
Date: Tue, 12 Jun 2012 21:53:26 +0200
[Message part 1 (text/plain, inline)]
Christoph Egger <christoph@debian.org> writes:

> Package: src:openblas
> Version: 0.1.1-3
> Severity: serious
> Tags: sid wheezy
> User: debian-bsd@lists.debian.org
> Usertags: kfreebsd
> X-Debbugs-Cc: debian-bsd@lists.debian.org
> Justification: fails to build from source (but built successfully in the past)

> Your package failed to build on the kfreebsd-* buildds:
>
> gcc -c -O2 -DEXPRECISION -m128bit-long-double -Wall -m64 -DF_INTERFACE_GFORT -fPIC  -DDYNAMIC_ARCH -DNO_LAPACK -DNO_LAPACKE -DSMP_SERVER -DMAX_CPU_NUMBER=2 -DASMNAME=sgemm -DASMFNAME=sgemm_ -DNAME=sgemm_ -DCNAME=sgemm -DCHAR_NAME=\"sgemm_\" -DCHAR_CNAME=\"sgemm\" -DNO_AFFINITY -I.. -I. -UDOUBLE  -UCOMPLEX gemm.c -o sgemm.o
> gemm.c: In function 'sgemm_':
> gemm.c:401:16: error: 'GEMM_MULTITHREAD_THRESHOLD' undeclared (first use in this function)
> gemm.c:401:16: note: each undeclared identifier is reported only once for each function it appears in
> make[2]: *** [sgemm.o] Error 1
>
> Full build log at
> https://buildd.debian.org/status/logs.php?pkg=openblas&ver=0.1.1-3&arch=kfreebsd-amd64

The build fails because the CPU is not correctly detected on some
kfreebsd buildds (finzi, fano). From the old logs, it looks that the CPU
is correctly detected on some others kfreebsd buildds (field, fasch).

The failure to detect the CPU is a bug in itself, but we need to know
the exact CPU architecture of these buildds in order to report an
upstream bug. Is this information available?

Anyways, I think that the build of the generic openblas package should
not depend on the CPU detection of the buildd. The solution seems to
force the "generic" target (only possible when building the dynamic arch
binaries). I attach a patch to debian/rules. A second patch is attached
which fixes an error in the "generic" profile; it should probably be
forwarded upstream.

I tried to test these patches on a kfreebsd-i386 virtual machine, but
the CPU was correctly detected there and the build was not failing. As
an alternative, I tested the patches on a source tree for which I had
manually broken the CPU detection (so that getarch_2nd does not compile
as on the faulty buildds), and the compilation succeeded with the patch.

Hope this helps,

[rules_target_generic.patch (text/x-diff, attachment)]
[generic_profile.patch (text/x-diff, attachment)]
[Message part 4 (text/plain, inline)]

-- 
Sébastien Villemot
Researcher in Economics & Debian Maintainer
http://www.dynare.org/sebastien
Phone: +33-1-40-77-84-04 - GPG Key: 4096R/381A7594
[Message part 5 (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Sébastien Villemot <sebastien.villemot@ens.fr> to control@bugs.debian.org. (Tue, 12 Jun 2012 19:57:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>:
Bug#677165; Package src:openblas. (Tue, 12 Jun 2012 21:19:52 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Egger <christoph@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>. (Tue, 12 Jun 2012 21:19:52 GMT) Full text and rfc822 format available.

Message #17 received at 677165@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: Sébastien Villemot <sebastien.villemot@ens.fr>
Cc: debian-bsd@lists.debian.org, 677165@bugs.debian.org
Subject: Re: Bug#677165: openblas: FTBFS[kfreebsd]: gemm.c:401:16: error: 'GEMM_MULTITHREAD_THRESHOLD' undeclared (first use in this function)
Date: Tue, 12 Jun 2012 23:05:18 +0200
Sébastien Villemot <sebastien.villemot@ens.fr> writes:
> Christoph Egger <christoph@debian.org> writes:
>
>> Package: src:openblas
>> Version: 0.1.1-3
>> Severity: serious
>> Tags: sid wheezy
>> User: debian-bsd@lists.debian.org
>> Usertags: kfreebsd
>> X-Debbugs-Cc: debian-bsd@lists.debian.org
>> Justification: fails to build from source (but built successfully in the past)
>
>> Your package failed to build on the kfreebsd-* buildds:
>>
>> gcc -c -O2 -DEXPRECISION -m128bit-long-double -Wall -m64
>> -DF_INTERFACE_GFORT -fPIC -DDYNAMIC_ARCH -DNO_LAPACK -DNO_LAPACKE
>> -DSMP_SERVER -DMAX_CPU_NUMBER=2 -DASMNAME=sgemm -DASMFNAME=sgemm_
>> -DNAME=sgemm_ -DCNAME=sgemm -DCHAR_NAME=\"sgemm_\"
>> -DCHAR_CNAME=\"sgemm\" -DNO_AFFINITY -I.. -I. -UDOUBLE -UCOMPLEX
>> gemm.c -o sgemm.o
>> gemm.c: In function 'sgemm_':
>> gemm.c:401:16: error: 'GEMM_MULTITHREAD_THRESHOLD' undeclared (first use in this function)
>> gemm.c:401:16: note: each undeclared identifier is reported only once for each function it appears in
>> make[2]: *** [sgemm.o] Error 1
>>
>> Full build log at
>> https://buildd.debian.org/status/logs.php?pkg=openblas&ver=0.1.1-3&arch=kfreebsd-amd64
>
> The build fails because the CPU is not correctly detected on some
> kfreebsd buildds (finzi, fano). From the old logs, it looks that the CPU
> is correctly detected on some others kfreebsd buildds (field, fasch).
>
> The failure to detect the CPU is a bug in itself, but we need to know
> the exact CPU architecture of these buildds in order to report an
> upstream bug. Is this information available?

finzi/fano are virtual KVM instance

% cat /proc/cpuinfo
processor       : 0
vendor_id       : GenuineIntel
cpu family      : 15
model           : 1
model name      : QEMU Virtual CPU version 0.12.5
stepping        : 3
processor       : 1
vendor_id       : GenuineIntel
cpu family      : 15
model           : 1
model name      : QEMU Virtual CPU version 0.12.5
stepping        : 3
flags           : fpu de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 mmx fxsr xmm sse2
cpu MHz         : 2666.71
bogomips        : 2666.71

fasch/field are "real" boxes

% cat /proc/cpuinfo 
processor       : 0
vendor_id       : GenuineIntel
cpu family      : 6
model           : 16
model name      : Intel(R) Xeon(TM) CPU 3.80GHz
stepping        : 10
processor       : 1
vendor_id       : GenuineIntel
cpu family      : 6
model           : 16
model name      : Intel(R) Xeon(TM) CPU 3.80GHz
stepping        : 10
processor       : 2
vendor_id       : GenuineIntel
cpu family      : 6
model           : 16
model name      : Intel(R) Xeon(TM) CPU 3.80GHz
stepping        : 10
processor       : 3
vendor_id       : GenuineIntel
cpu family      : 6
model           : 16
model name      : Intel(R) Xeon(TM) CPU 3.80GHz
stepping        : 10
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 b19 b21 mmxext mmx fxsr xmm sse2 b27 b28 b29 3dnow
cpu MHz         : 3800.15
bogomips        : 3800.15

Regards

    Christoph

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Reply sent to Sylvestre Ledru <sylvestre@debian.org>:
You have taken responsibility. (Wed, 13 Jun 2012 09:09:11 GMT) Full text and rfc822 format available.

Notification sent to debian-bsd@lists.debian.org:
Bug acknowledged by developer. (Wed, 13 Jun 2012 09:09:11 GMT) Full text and rfc822 format available.

Message #22 received at 677165-close@bugs.debian.org (full text, mbox):

From: Sylvestre Ledru <sylvestre@debian.org>
To: 677165-close@bugs.debian.org
Subject: Bug#677165: fixed in openblas 0.1.1-4
Date: Wed, 13 Jun 2012 09:08:14 +0000
Source: openblas
Source-Version: 0.1.1-4

We believe that the bug you reported is fixed in the latest version of
openblas, which is due to be installed in the Debian FTP archive:

libopenblas-base_0.1.1-4_amd64.deb
  to main/o/openblas/libopenblas-base_0.1.1-4_amd64.deb
libopenblas-dev_0.1.1-4_amd64.deb
  to main/o/openblas/libopenblas-dev_0.1.1-4_amd64.deb
openblas_0.1.1-4.debian.tar.gz
  to main/o/openblas/openblas_0.1.1-4.debian.tar.gz
openblas_0.1.1-4.dsc
  to main/o/openblas/openblas_0.1.1-4.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 677165@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sylvestre Ledru <sylvestre@debian.org> (supplier of updated openblas package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 13 Jun 2012 10:29:51 +0200
Source: openblas
Binary: libopenblas-base libopenblas-dev
Architecture: source amd64
Version: 0.1.1-4
Distribution: unstable
Urgency: low
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Changed-By: Sylvestre Ledru <sylvestre@debian.org>
Description: 
 libopenblas-base - Optimized BLAS (linear algebra) library based on GotoBLAS2
 libopenblas-dev - Optimized BLAS (linear algebra) library based on GotoBLAS2
Closes: 677165
Changes: 
 openblas (0.1.1-4) unstable; urgency=low
 .
   * Fix the FTBFS under KFreebsd. Thanks to Sébastien Villemot (Closes: #677165)
Checksums-Sha1: 
 27a0f36fe7c0bed64d53b9246e36fb5e2b27a3f4 1478 openblas_0.1.1-4.dsc
 141ca9940c81c512120e76adb92bede8aa6184a2 8955 openblas_0.1.1-4.debian.tar.gz
 08161cb12c420398d2aeaaeb6d59b0f0fedd2566 3431880 libopenblas-base_0.1.1-4_amd64.deb
 020225b8a3e82a2ef368d3cd06a5a8042462cab5 3959716 libopenblas-dev_0.1.1-4_amd64.deb
Checksums-Sha256: 
 c30c54ed04d92a1d24004b5bec417502c2cb83e83d7d2f7abe2a9dd3efdda0da 1478 openblas_0.1.1-4.dsc
 85f23680e07db8373045cdd9c7c4dc308a090933991b36ca3da597b4b35638c9 8955 openblas_0.1.1-4.debian.tar.gz
 979baa0661e4f8f31f2a8c3c7565b753a28ea04fb663cf9d0e112807884f1926 3431880 libopenblas-base_0.1.1-4_amd64.deb
 6b92be6531820d39a4c167fb0fff9ce5549eccb559c10426b7b2c01124e59aa0 3959716 libopenblas-dev_0.1.1-4_amd64.deb
Files: 
 1d873e8b4fe2d51dc99ac6ff9f3fd477 1478 devel optional openblas_0.1.1-4.dsc
 faec155aebf26ca213620ff3af5e557b 8955 devel optional openblas_0.1.1-4.debian.tar.gz
 e6b9a8d3460b2efc43258bff6d78b3a5 3431880 libs optional libopenblas-base_0.1.1-4_amd64.deb
 dc8553fd65a94464af650c3fde2f2dc9 3959716 libdevel optional libopenblas-dev_0.1.1-4_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAk/YUl0ACgkQiOXXM92JlhDf2QCgg/NLtCjo+cyswsJB5InQ5okF
ljgAn29NuqmU4h55kfKtpHeqMhSutEGi
=+Rqd
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 05 Aug 2012 07:31:40 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 14:04:03 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.